Restart node
import requests
url = "https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/nodes/{node_id}/restart"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/nodes/{node_id}/restart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/nodes/{node_id}/restart \
--header 'Authorization: Bearer <token>'{
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_name": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}UpCloud Clusters
Restart node
Schedules a one-shot power cycle of one UpCloud VM node (a server, or the bastion or gateway) and answers the operation carrying it. Requires clusters.operate. A node that is not on this cluster answers 404; a node outside the restartable states, a restart already running, or a control-plane restart while another control plane is being restarted, resized or upgraded answers 409.
POST
/
api
/
v1
/
clusters
/
upcloud
/
{cluster_id}
/
nodes
/
{node_id}
/
restart
Restart node
import requests
url = "https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/nodes/{node_id}/restart"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/nodes/{node_id}/restart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/nodes/{node_id}/restart \
--header 'Authorization: Bearer <token>'{
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_name": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.